package com.example.mobileapp.dao
import androidx.room.*
import com.example.mobileapp.models.OrderProduct

@Dao
interface OrderProductDao {
    @Insert
    suspend fun insert(orderProduct: OrderProduct)
    @Update
    suspend fun update(orderProduct: OrderProduct)
    @Delete
    suspend fun delete(orderProduct: OrderProduct)
    @Query("delete from order_product WHERE order_id = :orderId AND product_id = :productId")
    suspend fun deleteByProductId(orderId: Int, productId: Int);
}