package com.example.mobileapp.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.example.mobileapp.models.*
import kotlinx.coroutines.flow.Flow

@Dao
interface RoleDao {
    @Insert
    suspend fun insert(role: Role)
    @Update
    suspend fun update(role: Role)
    @Delete
    suspend fun delete(role: Role)

    @Query("select * from role")
    fun getAll() : Flow<List<Role>>
    @Query("select * from role where role.id = :id")
    fun getById(id: Int) : Flow<Role>
    @Query("select * from role where role.name = :name")
    fun getByName(name: String) : Flow<Role>
}