package com.example.mobileapp.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.example.mobileapp.models.Role
import com.example.mobileapp.models.Status
import kotlinx.coroutines.flow.Flow

@Dao
interface StatusDao {
    @Insert
    suspend fun insert(status: Status)
    @Update
    suspend fun update(status: Status)
    @Delete
    suspend fun delete(status: Status)

    @Query("select * from status")
    fun getAll() : Flow<List<Status>>
    @Query("select * from status where status.id = :id")
    fun getById(id: Int) : Flow<Status>
    @Query("select * from status where status.name = :name")
    fun getByName(name: String) : Flow<Status>
}