package com.example.mobileapp.dao
import androidx.paging.PagingSource
import androidx.room.*
import com.example.mobileapp.models.Product
import com.example.mobileapp.models.User
import kotlinx.coroutines.flow.Flow

@Dao
interface UserDao {
    @Insert
    suspend fun insert(user: User)
    @Update
    suspend fun update(user: User)
    @Delete
    suspend fun delete(user: User)

    @Query("select * from user order by login collate nocase asc")
    fun getAll() : Flow<List<User>>
    @Query("select * from user order by login collate nocase asc")
    fun getAllPaged() : PagingSource<Int, User>

    @Query("select * from user where user.id = :id")
    fun getById(id: Int): Flow<User>

    @Query("select * from user where user.login = :login and user.password = :password limit 1")
    fun getByLoginAndPassword(login: String, password: String): Flow<User?>
}