package com.example.mobileapp.db
import android.content.Context
import androidx.room.*
import androidx.sqlite.db.SupportSQLiteDatabase
import com.example.mobileapp.dao.*
import com.example.mobileapp.models.*
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch

@Database(
    entities =
    [
        Role::class,
        Status::class,
        Category::class,
        User::class,
        Order::class,
        Product::class,
        OrderProduct::class,
    ],
    version = 2,
    exportSchema = false
)
abstract class AppDatabase : RoomDatabase() {
    abstract fun roleDao() : RoleDao
    abstract fun statusDao() : StatusDao
    abstract fun categoryDao() : CategoryDao
    abstract fun userDao() : UserDao
    abstract fun productDao() : ProductDao
    abstract fun orderDao() : OrderDao
    abstract fun orderProductDao() : OrderProductDao

    companion object {
        const val DB_NAME: String = "mobileapp-db"
    }
}