package com.example.mobileapp.repositories

import com.example.mobileapp.dao.CategoryDao
import com.example.mobileapp.models.Category
import javax.inject.Inject
import androidx.paging.*
import kotlinx.coroutines.flow.Flow

class CategoryRepository @Inject constructor(
    private val categoryDao: CategoryDao
){
    suspend fun insert(category: Category) = categoryDao.insert(category)
    suspend fun update(category: Category) = categoryDao.update(category)
    suspend fun delete(category: Category) = categoryDao.delete(category)
    fun getAll() = categoryDao.getAll()
    fun getById(id: Int) = categoryDao.getById(id)
    fun getByName(name: String) = categoryDao.getByName(name)
}