package com.example.mobileapp.repositories

import com.example.mobileapp.dao.RoleDao
import com.example.mobileapp.models.Role
import javax.inject.Inject

class RoleRepository @Inject constructor(
    private val roleDao: RoleDao
){
    suspend fun insert(role: Role) = roleDao.insert(role)
    suspend fun update(role:Role) = roleDao.update(role)
    suspend fun delete(role:Role) = roleDao.delete(role)
    fun getAll() = roleDao.getAll()
    fun getById(id: Int) = roleDao.getById(id)
    fun getByName(name: String) = roleDao.getByName(name)
}