package com.example.mobileapp.repositories


import com.example.mobileapp.dao.StatusDao
import com.example.mobileapp.models.Status
import javax.inject.Inject

class StatusRepository @Inject constructor(
    private val statusDao: StatusDao
){
    suspend fun insert(status: Status) = statusDao.insert(status)
    suspend fun update(status: Status) = statusDao.update(status)
    suspend fun delete(status: Status) = statusDao.delete(status)
    fun getAll() = statusDao.getAll()
    fun getById(id: Int) = statusDao.getById(id)
    fun getByName(name: String) = statusDao.getByName(name)
}